Name:           python-drf-spectacular-sidecar
Version:        2025.7.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Serve self-contained distribution builds of Swagger UI and Redoc with Django

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/tfranzel/drf-spectacular-sidecar
Source:         %{pypi_source drf_spectacular_sidecar}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'drf-spectacular-sidecar' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-drf-spectacular-sidecar
Summary:        %{summary}

%description -n python3-drf-spectacular-sidecar %_description


%prep
%autosetup -p1 -n drf_spectacular_sidecar-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-drf-spectacular-sidecar -f %{pyproject_files}


%changelog
%autochangelog